Women in Technology

Hear us Roar



Article:
  Apple Releases Java 1.4.1 for Mac OS X
Subject:   java.swing not working in 1.4.1
Date:   2003-03-26 15:08:52
From:   jzvogel
I'm brand spannkin' new to programming (taking Intro to Programming Java with Park University this semester) and I've been unable to get the simplest of GUI programs working. Every attempt to utilize a class from javax.swing.*; results in errors. What am I missing? What am I doing wrong? I don't have the exact errors in front of me but they boil down to the javax.swing classes not being on my computer. I've read the 1.4.1 release notes and every other Java document I can get my hands on but it appears that the swing applications should still work under 1.4.1. I'm the lone Mac guy in a class of 20 and I want to use my Mac for the class. Any suggestions?


FYI -
PowerBook Pismo 400
OS X 10.2.4 (OS 9 not installed)
Java 1.4.1 update installed (& reinstalled)
Using terminal to compile and run java apps
I've already order the new O'Reilly book on Java Programming in OSX from Amazon and eagerly await it's release and arrival.
Thanks in advance.


Jody Vogel
macgeek2112@mac.com